import { Base, Type } from "igniteui-angular-core";
import { IDataChartToolbarProvider } from "./IDataChartToolbarProvider";
import { IHorizontalAnchoredCategorySeriesProxy } from "./IHorizontalAnchoredCategorySeriesProxy";
import { IFinancialPriceSeriesProxy } from "./IFinancialPriceSeriesProxy";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { ToolActionInfo } from "igniteui-angular-core";
import { SeriesViewer } from "./SeriesViewer";
import { ToolCommandExecutionState } from "igniteui-angular-core";
import { ToolCommand } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class DataChartToolbarProvider extends Base implements IDataChartToolbarProvider {
    static $t: Type;
    private _container;
    get container(): any;
    set container(a: any);
    private k;
    protected get l(): IHorizontalAnchoredCategorySeriesProxy;
    private get v();
    private i;
    protected get j(): IFinancialPriceSeriesProxy;
    private get u();
    private g;
    protected get h(): IAnnotationLayerProxy;
    private get t();
    private q;
    getDesiredToolbarActions(a: SeriesViewer): ToolActionInfo[];
    private ba;
    private e;
    private a;
    private c;
    private b;
    private d;
    private m;
    private o;
    private p;
    private n;
    private s;
    onToolCommandExecuting(a: SeriesViewer, b: ToolCommand): ToolCommandExecutionState;
    onTargetPropertyChanged(a: SeriesViewer, b: string, c: any, d: any): void;
    private w;
    private bd;
    private r;
    private f;
    private bf;
    private a9;
    private be;
    private bh;
    private bi;
    private bl;
    private bs;
    private bj;
    private bk;
    private bb;
    private bm;
    private x;
    private bo;
    private bn;
    private bc;
    private bg;
    private bp;
    private bq;
    private br;
}
